summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorAndrew Ammerlaan <andrewammerlaan@gentoo.org>2024-08-30 15:01:53 +0200
committerAndrew Ammerlaan <andrewammerlaan@gentoo.org>2024-08-30 21:07:05 +0200
commit297e387c75abadc31502f37fd456a1f90b302ad4 (patch)
treea811a98da31fef9518625b1bdafd65f4f03c804d /eclass/kernel-build.eclass
parentsys-kernel/gentoo-kernel: fix applying savedconfig on alt arches (diff)
downloadgentoo-297e387c75abadc31502f37fd456a1f90b302ad4.tar.gz
gentoo-297e387c75abadc31502f37fd456a1f90b302ad4.tar.bz2
gentoo-297e387c75abadc31502f37fd456a1f90b302ad4.zip
kernel-build.eclass: adjust missing .config error messages
kernel-build_merge_configs should always be called first nowadays because it applies the savedconfig. Signed-off-by: Andrew Ammerlaan <andrewammerlaan@gentoo.org> Closes: https://github.com/gentoo/gentoo/pull/38345 Signed-off-by: Andrew Ammerlaan <andrewammerlaan@gentoo.org>
Diffstat (limited to 'eclass/kernel-build.eclass')
-rw-r--r--eclass/kernel-build.eclass7
1 files changed, 5 insertions, 2 deletions
diff --git a/eclass/kernel-build.eclass b/eclass/kernel-build.eclass
index be02920162f4..d92076d61c04 100644
--- a/eclass/kernel-build.eclass
+++ b/eclass/kernel-build.eclass
@@ -243,7 +243,7 @@ kernel-build_src_configure() {
MAKEARGS+=( KBZIP2="lbzip2" )
fi
- [[ -f .config ]] || die "Ebuild error: please copy default config into .config"
+ [[ -f .config ]] || die "Ebuild error: No .config, kernel-build_merge_configs was not called."
if [[ -z "${KV_LOCALVERSION}" ]]; then
KV_LOCALVERSION=$(sed -n -e 's#^CONFIG_LOCALVERSION="\(.*\)"$#\1#p' \
@@ -602,10 +602,13 @@ kernel-build_pkg_postinst() {
# 3. Config saved via USE=savedconfig (if applicable).
# 4. Module signing key specified via MODULES_SIGN_KEY* variables.
# 5. User-supplied configs from ${BROOT}/etc/kernel/config.d/*.config.
+#
+# This function must be called by the ebuild in the src_prepare phase.
kernel-build_merge_configs() {
debug-print-function ${FUNCNAME} "${@}"
- [[ -f .config ]] || die "${FUNCNAME}: .config does not exist"
+ [[ -f .config ]] ||
+ die "${FUNCNAME}: No .config, please copy default config into .config"
has .config "${@}" &&
die "${FUNCNAME}: do not specify .config as parameter"